> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/infra-controller/llms.txt.
> For full documentation content, see https://docs.nvidia.com/infra-controller/llms-full.txt.

# Retrieve an SSH Key Group

GET https://carbide-rest-api.carbide.svc.cluster.local/v2/org/{org}/carbide/sshkeygroup/{sshKeyGroupId}

Retrieve an SSH Key Group for the current Tenant by ID

SSH Key Group must be owned by current Tenant.

Org must have a Tenant entity. User must have `FORGE_TENANT_ADMIN` authorization role.

Reference: https://docs.nvidia.com/infra-controller/infra-controller/rest-api-reference/api-reference/ssh-key-group/get-ssh-key-group

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: NCX Infra Controller REST API
  version: 1.0.0
paths:
  /v2/org/{org}/carbide/sshkeygroup/{sshKeyGroupId}:
    get:
      operationId: get-ssh-key-group
      summary: Retrieve an SSH Key Group
      description: >-
        Retrieve an SSH Key Group for the current Tenant by ID


        SSH Key Group must be owned by current Tenant.


        Org must have a Tenant entity. User must have `FORGE_TENANT_ADMIN`
        authorization role.
      tags:
        - subpackage_sshKeyGroup
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: sshKeyGroupId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            ```

            export JWT_BEARER_TOKEN="<jwt-bearer-token>"


            # Example org name: "acme-inc

            export ORG_NAME=<org-name>


            # Use the JWT bearer token in your API request auth header:

            curl -v -X GET -H "Content-Type: application/json" -H
            "Authorization: Bearer $JWT_BEARER_TOKEN"
            https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SshKeyGroup'
        '403':
          description: >-
            Error response when user is not authorized to call an endpoint or
            retrieve/modify objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarbideAPIError'
servers:
  - url: https://carbide-rest-api.carbide.svc.cluster.local
components:
  schemas:
    SshKey:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the key
        name:
          type: string
        org:
          type: string
        tenantId:
          type: string
          format: uuid
        fingerprint:
          type: string
          description: SHA256 fingerprint of the public key
        created:
          type: string
          format: date-time
          description: Date/time when the SSH key was created
        updated:
          type: string
          format: date-time
          description: Date/time when the SSH key was last updated
      description: Details of SSH public key
      title: SshKey
    SiteCapabilities:
      type: object
      properties:
        nativeNetworking:
          type: boolean
        networkSecurityGroup:
          type: boolean
        nvLinkPartition:
          type: boolean
        rackLevelAdministration:
          type: boolean
        imageBasedOperatingSystem:
          type: boolean
      description: Boolean flags to indicate features supported by a Site
      title: SiteCapabilities
    SiteStatus:
      type: string
      enum:
        - Pending
        - Registered
        - Error
      description: Status values for Site objects
      title: SiteStatus
    SiteSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          description: Name of the Site
        infrastructureProviderId:
          type: string
          format: uuid
        isSerialConsoleEnabled:
          type: boolean
          description: Indicates if Serial Console is enabled for the Site by the Provider
        isOnline:
          type: boolean
          description: Indicates if the Site is currently reachable from Cloud
        capabilities:
          $ref: '#/components/schemas/SiteCapabilities'
        status:
          $ref: '#/components/schemas/SiteStatus'
      description: >-
        SiteSummary contains a subset of data for Site object, used when nesting
        in other objects
      title: SiteSummary
    SshKeyGroupSiteAssociationStatus:
      type: string
      enum:
        - Syncing
        - Synced
        - Pending
        - Error
        - Deleting
      description: Status values for SSH Key Group Site Association objects
      title: SshKeyGroupSiteAssociationStatus
    SshKeyGroupSiteAssociation:
      type: object
      properties:
        site:
          $ref: '#/components/schemas/SiteSummary'
        status:
          $ref: '#/components/schemas/SshKeyGroupSiteAssociationStatus'
        version:
          type: string
          description: Version of the Key Group on Site
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      description: Describes the relationship between an SSH Key Group and a Site
      title: SshKeyGroupSiteAssociation
    SshKeyGroupStatus:
      type: string
      enum:
        - Syncing
        - Synced
        - Error
        - Deleting
      description: Status values for SSH Key Group objects
      title: SshKeyGroupStatus
    StatusDetail:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      description: Describes the details of a status transition for a resource
      title: StatusDetail
    SshKeyGroup:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the SSH Key Group
        name:
          type: string
          description: Name of the SSH Key Group
        description:
          type:
            - string
            - 'null'
          description: Description for the SSH Key Group, optional
        org:
          type: string
          description: Organization this SSH Key Group belongs to
        tenantId:
          type: string
          format: uuid
          description: ID of the Tenane the SSH Key Group belongs to
        version:
          type: string
          description: Version of the SSH Key Group
        sshKeys:
          type: array
          items:
            $ref: '#/components/schemas/SshKey'
          description: SSH Keys associated with this SSH Key Group
        siteAssociations:
          type: array
          items:
            $ref: '#/components/schemas/SshKeyGroupSiteAssociation'
          description: Sites the SSH Key Group is synced to
        status:
          $ref: '#/components/schemas/SshKeyGroupStatus'
          description: Status of the SSH Key Group
        statusHistory:
          type: array
          items:
            $ref: '#/components/schemas/StatusDetail'
          description: History of the SSH Key Group states
        created:
          type: string
          format: date-time
          description: Date/time when the SSH key was created
        updated:
          type: string
          format: date-time
          description: Date/time when the SSH key was last updated
      description: Describes the model that groups SSH Keys
      title: SshKeyGroup
    CarbideApiErrorSource:
      type: string
      enum:
        - carbide
      description: Source of the error. Only 'carbide' is supported
      title: CarbideApiErrorSource
    CarbideApiErrorData:
      type: object
      properties: {}
      description: Additional data about the error
      title: CarbideApiErrorData
    CarbideAPIError:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/CarbideApiErrorSource'
          description: Source of the error. Only 'carbide' is supported
        message:
          type: string
          description: Message describing the error
        data:
          oneOf:
            - $ref: '#/components/schemas/CarbideApiErrorData'
            - type: 'null'
          description: Additional data about the error
      description: Describes the error response from NCX Infra Controller REST API
      title: CarbideAPIError
  securitySchemes:
    JWTBearerToken:
      type: http
      scheme: bearer
      description: >-
        ```

        export JWT_BEARER_TOKEN="<jwt-bearer-token>"


        # Example org name: "acme-inc

        export ORG_NAME=<org-name>


        # Use the JWT bearer token in your API request auth header:

        curl -v -X GET -H "Content-Type: application/json" -H "Authorization:
        Bearer $JWT_BEARER_TOKEN"
        https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current

        ```

```

## SDK Code Examples

```python Example 1
import requests

url = "https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/sshkeygroup/sshKeyGroupId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```